<div class="container">
    <div class="row" *ngIf="product">
        <div class="col-6">
            <img src="{{product.pictureUrl}}" alt="{{product.name}}" class="w-100">
        </div>
        <div class="col-6 mt-5">
            <h2>{{product.name}}</h2>
            <p style="font-size: 2em;">{{product.price | currency}}</p>

            <h5 class="text-primary mb-3" *ngIf="quantityInBasket  > 0">
                You have {{quantityInBasket}} of this item in your basket
            </h5>

            <div class="d-flex justify-content-start aling-item-center">
                <i 
                    (click)="decrementQuantity()"
                    class="fa fa-minus-circle text-warning me-2" 
                    style="cursor: pointer; font-size: 2em;"
                ></i>
                <span class="font-weight-bold" style="font-size: 1.em;">
                    {{quantity}}
                </span>
                <i 
                    (click)="incrementQuantity()"
                    class="fa fa-plus-circle text-warning ms-2"
                    style="cursor: pointer; font-size: 2em;"
                ></i>
                <button 
                    (click)="updateBasket()"
                    [disabled]="quantity === quantityInBasket"
                    class="btn btn-outline-primary ms-4"
                >Add to car</button>
            </div>
            <div class="row mt-4">
                <h4>Description</h4>
                <p>{{product.description}}</p>
            </div>
        </div>
    </div>
</div>
